DROP TABLE IF EXISTS TB_ADDRESS;
CREATE TABLE TB_ADDRESS(
    COD_ADDRESS bigint GENERATED BY DEFAULT AS IDENTITY primary key,
    CEP VARCHAR(255),
    UF VARCHAR(2),
    CITY VARCHAR(255)
);


DROP TABLE IF EXISTS TB_USER;
CREATE TABLE TB_USER(
    COD_USER bigint GENERATED BY DEFAULT AS IDENTITY primary key,
    NAME VARCHAR(255),
    EMAIL VARCHAR(255),
    PASSWORD VARCHAR(255),
    PHONE VARCHAR(20),
    GENDER VARCHAR(10),
    COD_ADDRESS bigint,
    FOREIGN KEY (COD_ADDRESS) REFERENCES TB_ADDRESS(COD_ADDRESS)
);

